Request to upgrade cxf libraries in activiti-app to a later version

Description

Issue:
The customer used to use version 3.4.2 of the cxf libraries for custom extensions. With the APS 1.11.2 release we introduced those cxf libraries in version 3.1.14 as a dependency of the updated opencmis chemistry library, which is causing them a library conflict now.

Business Impact
They are unable to upgrade APS 1.11.1 to APS 1.11.2 because of the mentioned library conflict.

Request:
Please consider upgrading the cxf libraries to at least version 3.4.2 version in an upcoming APS release.

Specifically, customer is using

org.apache.cxf:cxf-core
‚Äčorg.apache.cxf:cxf-rt-frontend-jaxrs

Environment

None

Testcase ID

None

Assignee

Unassigned

Reporter

Seng Ei Liaw

ACT Numbers

00382544

Premier Customer

Yes

Bug Priority

Category 2